const initializeFrame = async () => {
  try {
    const frameContext = await window.frames.getContext();
    console.log('Frame context:', frameContext);

    if (frameContext.fid) {
      document.getElementById('warpcastId').textContent = `#${frameContext.fid}`;
      
      // Calculate users after based on total users (this would need actual API integration)
      const totalUsers = 1000000; // Example total users
      const usersAfter = totalUsers - frameContext.fid;
      document.getElementById('usersAfter').textContent = usersAfter.toLocaleString();
    }

    document.querySelector('.frameButton').addEventListener('click', async () => {
      try {
        await window.frames.postMessage({
          action: 'post'
        });
      } catch (error) {
        console.error('Frame action error:', error);
      }
    });

    await window.frames.ready();
  } catch (error) {
    console.error('Frame initialization error:', error);
  }
};

document.addEventListener('DOMContentLoaded', initializeFrame);
